
Infrastructure - Task #1591

Feature # 1577 (Closed): use tables for storing System Metadata in Metacat

Task # 1579 (Closed): create additional tables

mediate between xml_access table and accessPolicy elements

2011-05-24 23:30 - Ben Leinfelder

Status: Closed Start date: 2011-05-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.23-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

xml_access table supports more features than the D1 accessPolicy schema so it should be a lossless translation to store this

information in xml_access

History

#1 - 2011-05-27 18:56 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

now reading and writing access policy rules defined in system metadata to the xml_access table in metacat.

#2 - 2011-06-06 23:12 - Ben Leinfelder

xml_access now has a guid column - system metadata records use this rather than docid.

I'm considering removing the docid attribute [eventually]. 
